package com.yihu.jw.entity.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 眼科处方表1数据
 *
 * */
//@ApiModel(value = "HlwTnCf01DO", description = "眼科处方表1数据")
@Entity
@Table(name = "MS_CF01_YD")
public class HlwTnCf01DO {

    private Integer cFSB;//	NUMBER(18)	N			处方识别 每次写一次就变化一次不能重复
    private String cFHM;//	VARCHAR2(10)	Y			处方号码
    private String fPHM;//	VARCHAR2(12)	Y			发票号码
    private Integer mZXH;//	NUMBER(18)	Y			门诊序号
    private Integer cFLX;//	NUMBER(1)	N			处方类型
    private Integer bRID;//	NUMBER(18)	Y			病人ID号
    private String bRXM;//	VARCHAR2(40)	Y			病人姓名
    private Date kFRQ;//	DATE	        N			开方日期
    private Integer cFTS;//	NUMBER(2)	N			处方贴数
    private Integer kSDM;//	NUMBER(4)	Y			科室代码
    private String ySDM;//	VARCHAR2(10)	Y			医生代码
    private Date fYRQ;//	DATE	        Y			发药日期
    private Integer fYCK;//	NUMBER(2)	Y			发药窗口
    private String hJGH;//	VARCHAR2(10)	Y			划价工号
    private String pYGH;//	VARCHAR2(10)	Y			配药工号
    private String fYGH;//	VARCHAR2(10)	Y			发药工号
    private Integer pYBZ;//	NUMBER(1)	N			配药标志
    private Integer fYBZ;//	NUMBER(1)	N			发药标志
    private Integer cFGL;//	NUMBER(18)	Y			处方关联
    private Integer zFPB;//	NUMBER(1)	N			作废判别
    private Integer dYBZ;//	NUMBER(1)	Y			打印标志
    private Integer yFSB;//	NUMBER(3)	N			药房识别
    private Integer tSCF;//	NUMBER(2)	Y			特殊处方
    private Integer tSLX;//	INTEGER	Y			特殊类型
    private Integer tYBZ;//	NUMBER(1)	Y			退药标志
    private Integer cFBZ;//	NUMBER(1)	Y			处方标志(CFBZ = 2 处方锁定)
    private Integer jZXH;//	NUMBER(18)	Y			门诊就诊
    private Integer yXPB;//	NUMBER(1)	N			优先处方
    private String jZKH;//	VARCHAR2(20)	Y			就诊卡号
    private Integer dMSB;//numeric(5, 0)
    private String sqr;//sqr varchar(8)
    private Integer zyzd;//numeric(18, 0)
    private Integer tmhd;//numeric(1, 0)
    private String voice;//	varchar(1)
    private String sereen;//	varchar(1)
    private Date voiceDate;//	datetime
    private Integer sJTS;//	numeric(4, 0)
    private Integer mRJJ;//	numeric(2, 0)
    private Integer pjbz;//	numeric(1, 0)
    private Integer fypj;//	numeric(1, 0)
    private Integer cFSCBZ;//	int
    private Integer sbjbh;//	int
    private String sbjbh1;//	varchar(20)
    private String grbh;//	varchar(50)
    private String dbjbbm;//	varchar(50)
    private String mzlsh;//	varchar(50)
    private Integer dJBZ;//	numeric(2, 0)
    private Integer djbzGx;//	int



    @Id
    @Column(name = "CFSB")
    public Integer getCFSB() {
        return cFSB;
    }

    public void setCFSB(Integer cFSB) {
        this.cFSB = cFSB;
    }


    @Column(name = "CFHM")
    public String getCFHM() {
        return cFHM;
    }

    public void setCFHM(String cFHM) {
        this.cFHM = cFHM;
    }


    @Column(name = "FPHM")
    public String getFPHM() {
        return fPHM;
    }

    public void setFPHM(String fPHM) {
        this.fPHM = fPHM;
    }


    @Column(name = "MZXH")
    public Integer getMZXH() {
        return mZXH;
    }

    public void setMZXH(Integer mZXH) {
        this.mZXH = mZXH;
    }


    @Column(name = "CFLX")
    public Integer getCFLX() {
        return cFLX;
    }

    public void setCFLX(Integer cFLX) {
        this.cFLX = cFLX;
    }


    @Column(name = "BRID")
    public Integer getBRID() {
        return bRID;
    }

    public void setBRID(Integer bRID) {
        this.bRID = bRID;
    }


    @Column(name = "BRXM")
    public String getBRXM() {
        return bRXM;
    }

    public void setBRXM(String bRXM) {
        this.bRXM = bRXM;
    }


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "KFRQ")
    public Date getKFRQ() {
        return kFRQ;
    }

    public void setKFRQ(Date kFRQ) {
        this.kFRQ = kFRQ;
    }


    @Column(name = "CFTS")
    public Integer getCFTS() {
        return cFTS;
    }

    public void setCFTS(Integer cFTS) {
        this.cFTS = cFTS;
    }


    @Column(name = "KSDM")
    public Integer getKSDM() {
        return kSDM;
    }

    public void setKSDM(Integer kSDM) {
        this.kSDM = kSDM;
    }


    @Column(name = "YSDM")
    public String getYSDM() {
        return ySDM;
    }

    public void setYSDM(String ySDM) {
        this.ySDM = ySDM;
    }


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "FYRQ")
    public Date getFYRQ() {
        return fYRQ;
    }

    public void setFYRQ(Date fYRQ) {
        this.fYRQ = fYRQ;
    }


    @Column(name = "FYCK")
    public Integer getFYCK() {
        return fYCK;
    }

    public void setFYCK(Integer fYCK) {
        this.fYCK = fYCK;
    }


    @Column(name = "HJGH")
    public String getHJGH() {
        return hJGH;
    }

    public void setHJGH(String hJGH) {
        this.hJGH = hJGH;
    }


    @Column(name = "PYGH")
    public String getPYGH() {
        return pYGH;
    }

    public void setPYGH(String pYGH) {
        this.pYGH = pYGH;
    }


    @Column(name = "FYGH")
    public String getFYGH() {
        return fYGH;
    }

    public void setFYGH(String fYGH) {
        this.fYGH = fYGH;
    }


    @Column(name = "PYBZ")
    public Integer getPYBZ() {
        return pYBZ;
    }

    public void setPYBZ(Integer pYBZ) {
        this.pYBZ = pYBZ;
    }


    @Column(name = "FYBZ")
    public Integer getFYBZ() {
        return fYBZ;
    }

    public void setFYBZ(Integer fYBZ) {
        this.fYBZ = fYBZ;
    }

    @Column(name = "CFGL")
    public Integer getCFGL() {
        return cFGL;
    }

    public void setCFGL(Integer cFGL) {
        this.cFGL = cFGL;
    }


    @Column(name = "ZFPB")
    public Integer getZFPB() {
        return zFPB;
    }

    public void setZFPB(Integer zFPB) {
        this.zFPB = zFPB;
    }


    @Column(name = "DYBZ")
    public Integer getDYBZ() {
        return dYBZ;
    }

    public void setDYBZ(Integer dYBZ) {
        this.dYBZ = dYBZ;
    }

    @Column(name = "YFSB")
    public Integer getYFSB() {
        return yFSB;
    }

    public void setYFSB(Integer yFSB) {
        this.yFSB = yFSB;
    }


    @Column(name = "TSCF")
    public Integer getTSCF() {
        return tSCF;
    }

    public void setTSCF(Integer tSCF) {
        this.tSCF = tSCF;
    }

    @Column(name = "TSLX")
    public Integer getTSLX() {
        return tSLX;
    }

    public void setTSLX(Integer tSLX) {
        this.tSLX = tSLX;
    }


    @Column(name = "TYBZ")
    public Integer getTYBZ() {
        return tYBZ;
    }

    public void setTYBZ(Integer tYBZ) {
        this.tYBZ = tYBZ;
    }


    @Column(name = "CFBZ")
    public Integer getCFBZ() {
        return cFBZ;
    }

    public void setCFBZ(Integer cFBZ) {
        this.cFBZ = cFBZ;
    }


    @Column(name = "JZXH")
    public Integer getJZXH() {
        return jZXH;
    }

    public void setJZXH(Integer jZXH) {
        this.jZXH = jZXH;
    }

    @Column(name = "YXPB")
    public Integer getYXPB() {
        return yXPB;
    }

    public void setYXPB(Integer yXPB) {
        this.yXPB = yXPB;
    }

    @Column(name = "JZKH")
    public String getJZKH() {
        return jZKH;
    }

    public void setJZKH(String jZKH) {
        this.jZKH = jZKH;
    }



    @Column(name = "DMSB")
    public Integer getdMSB() {
        return dMSB;
    }

    public void setdMSB(Integer dMSB) {
        this.dMSB = dMSB;
    }


    @Column(name = "sqr")
    public String getSqr() {
        return sqr;
    }

    public void setSqr(String sqr) {
        this.sqr = sqr;
    }

    @Column(name = "zyzd")
    public Integer getZyzd() {
        return zyzd;
    }

    public void setZyzd(Integer zyzd) {
        this.zyzd = zyzd;
    }

    @Column(name = "tmhd")
    public Integer getTmhd() {
        return tmhd;
    }

    public void setTmhd(Integer tmhd) {
        this.tmhd = tmhd;
    }

    @Column(name = "voice")
    public String getVoice() {
        return voice;
    }

    public void setVoice(String voice) {
        this.voice = voice;
    }

    @Column(name = "sereen")
    public String getSereen() {
        return sereen;
    }

    public void setSereen(String sereen) {
        this.sereen = sereen;
    }


    @Column(name = "voice_date")
    public Date getVoiceDate() {
        return voiceDate;
    }

    public void setVoiceDate(Date voiceDate) {
        this.voiceDate = voiceDate;
    }

    @Column(name = "SJTS")
    public Integer getSJTS() {
        return sJTS;
    }

    public void setSJTS(Integer sJTS) {
        this.sJTS = sJTS;
    }

    @Column(name = "MRJJ")
    public Integer getMRJJ() {
        return mRJJ;
    }

    public void setMRJJ(Integer mRJJ) {
        this.mRJJ = mRJJ;
    }

    @Column(name = "pjbz")
    public Integer getPjbz() {
        return pjbz;
    }

    public void setPjbz(Integer pjbz) {
        this.pjbz = pjbz;
    }

    @Column(name = "fypj")
    public Integer getFypj() {
        return fypj;
    }

    public void setFypj(Integer fypj) {
        this.fypj = fypj;
    }


    @Column(name = "CFSCBZ")
    public Integer getCFSCBZ() {
        return cFSCBZ;
    }

    public void setCFSCBZ(Integer cFSCBZ) {
        this.cFSCBZ = cFSCBZ;
    }


    @Column(name = "sbjbh")
    public Integer getSbjbh() {
        return sbjbh;
    }

    public void setSbjbh(Integer sbjbh) {
        this.sbjbh = sbjbh;
    }


    @Column(name = "sbjbh1")
    public String getSbjbh1() {
        return sbjbh1;
    }

    public void setSbjbh1(String sbjbh1) {
        this.sbjbh1 = sbjbh1;
    }


    @Column(name = "grbh")
    public String getGrbh() {
        return grbh;
    }

    public void setGrbh(String grbh) {
        this.grbh = grbh;
    }


    @Column(name = "dbjbbm")
    public String getDbjbbm() {
        return dbjbbm;
    }

    public void setDbjbbm(String dbjbbm) {
        this.dbjbbm = dbjbbm;
    }

    @Column(name = "mzlsh")
    public String getMzlsh() {
        return mzlsh;
    }

    public void setMzlsh(String mzlsh) {
        this.mzlsh = mzlsh;
    }


    @Column(name = "DJBZ")
    public Integer getDJBZ() {
        return dJBZ;
    }

    public void setDJBZ(Integer dJBZ) {
        this.dJBZ = dJBZ;
    }

    @Column(name = "djbz_gx")
    public Integer getDjbzGx() {
        return djbzGx;
    }

    public void setDjbzGx(Integer djbzGx) {
        this.djbzGx = djbzGx;
    }
}
